// Verilog definition of TB3
// created by TB

module TB3(N70, N71, N72, N73, N74, N75, N76, N77);
input N70;
input N71;
input N72;
input N73;
input N74;
output N75;
output N76;
output N77;

  wire N81;
  wire N82;
  wire N84;
  wire N87;
  wire N91;
  wire N97;

  xor2 ix35(N71, N73, N77);
  xnor2 ix33(N81, N82, N76);
  mux21_ni ix25(N84, N71, N73, N87);
  inv02 ix107(N74, N84);
  xnor2_2x ix109(N70, N91, N82);
  xnor2_2x ix111(N74, N72, N91);
  xnor2 ix31(N74, N97, N75);
  mux21_ni ix29(N81, N91, N82, N97);
  buf02 ix118(N87, N81);

endmodule
